package com.usoftchina.bi.server.model.vo.configVo;


import com.usoftchina.bi.server.model.bo.DatabaseConfig;

import java.util.List;

public class DataConnectorInfo<T> {
    private int dataId;
    private String dataName;
    private String dbConId;         //数据库配置ID
    private String loadObject;    //加载对象
    private String note;
    private List<ColumnRenameInfo> columnConfig;
    private List<String> dataTag;
    private String type;
    private int usedNumber;
    private int connectorGroup;
    private String createBy;
    private int createId;

    public int getCreateId() {
        return createId;
    }

    public void setCreateId(int createId) {
        this.createId = createId;
    }

    public int getDataId() {
        return dataId;
    }

    public void setDataId(int dataId) {
        this.dataId = dataId;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDbConId() {
        return dbConId;
    }

    public void setDbConId(String dbConId) {
        this.dbConId = dbConId;
    }

    public String getLoadObject() {
        return loadObject;
    }

    public void setLoadObject(String loadObject) {
        this.loadObject = loadObject;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public List<ColumnRenameInfo> getColumnConfig() {
        return columnConfig;
    }

    public void setColumnConfig(List<ColumnRenameInfo> columnConfig) {
        this.columnConfig = columnConfig;
    }

    public List<String> getDataTag() {
        return dataTag;
    }

    public void setDataTag(List<String> dataTag) {
        this.dataTag = dataTag;
    }

    public int getUsedNumber() {
        return usedNumber;
    }

    public void setUsedNumber(int usedNumber) {
        this.usedNumber = usedNumber;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public int getConnectorGroup() {
        return connectorGroup;
    }

    public void setConnectorGroup(int connectorGroup) {
        this.connectorGroup = connectorGroup;
    }

    @Override
    public String toString() {
        return "DataConnectorInfo{" +
                "dataId=" + dataId +
                ", dataName='" + dataName + '\'' +
                ", dbConId=" + dbConId +
                ", loadObject='" + loadObject + '\'' +
                ", note='" + note + '\'' +
                ", columnConfig=" + columnConfig +
                ", dataTag=" + dataTag +
                ", type='" + type + '\'' +
                ", usedNumber=" + usedNumber +
                ", createBy='" + createBy + '\'' +
                '}';
    }
}
